class PortfolioCommentsController < ApplicationController

  skip_before_action :verify_authenticity_token


  def edit
    @portfolio_comment = ::Portfolio::Comment.where(id: params[:id]).take!
  end


  def show
    @portfolio_comment = ::Portfolio::Comment.where(id: params[:id]).take!
  end

  def update
    @portfolio_comment = ::Portfolio::Comment.where(id: params[:id]).take!
    #authorize!(:update, @portfolio_comment)
    @portfolio_comment.assign_attributes(portfolio_comment_params)
    @portfolio_comment.save
  end


  def create
    @portfolio_comment = ::Portfolio::Comment.new(portfolio_item_id: params[:portfolio_item_id])
    @portfolio_comment.assign_attributes(portfolio_comment_params)
    #authorize!(:create, @portfolio_comment)
    @portfolio_comment.edited_by = current_user.person
    @portfolio_comment.save
  end

  def destroy
    @portfolio_comment = ::Portfolio::Comment.where(id: params[:id]).take!
    #authorize!(:destroy, @portfolio_comment)
    @portfolio_comment.destroy
  end

  private
  def portfolio_comment_params
    params.require(:portfolio_comment).permit(
        :id,:comment,:file,:file_cache,:remove_file ,:teacher_id,:teacher_choose_reviewer,:teacher_perform_review,:item_blocked
    )
  end

end
