module SystemTaskReceivable
  extend ActiveSupport::Concern

  included do
    #has_many :notifications, as: :notificationable, autosave: false, validate: false

    def system_tasks
      case self
        when Client
          SystemTasks::Base.where(client: self).order(start_at: :desc)
        when Institution
          SystemTasks::Base.where(institution: self).order(start_at: :desc)
        else
          SystemTasks::Base.where(target: self).order(start_at: :desc)
      end
    end

  end

end