module SystemTasks
  module Escalator
    class SendUserMessage < ::SystemTasks::Escalator::Base
      def execute
        if @subject.class.include? UserMessageConcern
          @subject.write_system_message({
               subject_text: @task.title,
               system_task: @task,
               content: @task.message,
               prio: @task.prio,
               due_at: @task.due_at
           })
        end
      end
    end
  end
end