class LibraryImgUploader < BaseUploader
  include CarrierWave::MiniMagick


  version :large do
    process :resize_to_fill => [252, 338]
  end

  version :thumb do
    process :resize_to_fill => [187, 263]
  end

  def extension_whitelist
    %w(jpg jpeg gif png)
  end

  after :store, :remove_original_file

  def remove_original_file(p)
    if self.version_name.nil?
      self.file.delete if self.file.exists?
    end
    true
  end

end

