class AddMissingAttributesToClient < ActiveRecord::Migration
  def change
    add_column :clients, :birth_place, :string
    add_column :clients, :nationality, :string
    add_column :clients, :language, :integer
    add_column :clients, :denomination, :integer
    add_reference :clients, :address, index: true, foreign_key: true
    add_column :clients, :school_attendence_since, :date
    add_column :clients, :school_attendence_since_article, :integer
    add_column :clients, :school_attendence_postponed, :boolean
  end
end
