class AdressChange < ActiveRecord::Migration
  def change
    change_table :clients do |t|
      t.belongs_to :address
    end

    remove_column :clients, :lat, :float
    remove_column :clients, :lng, :float
    remove_column :clients, :street, :string
    remove_column :clients, :number, :string
    remove_column :clients,:zip, :string
    remove_column :clients,:city, :string
    remove_column :clients,:state, :string
    remove_column :clients,:country, :string

    change_table :guardians do |t|
      t.belongs_to :address
    end


    remove_column :guardians, :lat, :float
    remove_column :guardians, :lng, :float
    remove_column :guardians, :street, :string
    remove_column :guardians, :number, :string
    remove_column :guardians,:zip, :string
    remove_column :guardians,:city, :string
    remove_column :guardians,:state, :string
    remove_column :guardians,:country, :string
  end
end
