class Feature439 < ActiveRecord::Migration
  def change

    create_table :portfolio_comments do |t|
      t.references :portfolio_item, null: false, index: true
      t.text :comment, null: false
      t.string :file, null: true
      t.references :teacher, null: true, index: true
      t.boolean :teacher_choose_reviewer, null: true
      t.boolean :teacher_perform_review, null: true
      t.boolean :item_blocked, null: true
      t.references :author, polymorphic: true, index: true
      t.timestamps
    end
    add_foreign_key :portfolio_comments, :portfolio_items, on_delete: :cascade
    add_foreign_key :portfolio_comments, :teachers, on_delete: :nullify


  end
end
