// This is a manifest file that'll be compiled into application.js, which will include all the files
// listed below.
//
// Any JavaScript/Coffee file within this directory, lib/assets/javascripts, vendor/assets/javascripts,
// or any plugin's vendor/assets/javascripts directory can be referenced here using a relative path.
//
// It's not advisable to add code directly here, but if you do, it'll appear at the bottom of the
// compiled file.
//
// Read Sprockets README (https://github.com/rails/sprockets#sprockets-directives) for details
// about supported directives.
//

//- GEM INCLUDED
//= require jquery2
//= require jquery-ui
//= require jquery_ujs
//= require turbolinks
//= require bootstrap-sprockets
//= require moment
//= require moment/de
//= require bootstrap-datetimepicker
//= require geocomplete
//= require ckeditor/init
//= require fullcalendar
//= require fullcalendar/locale/de
//= require jqplot
//= require jqplot/plugins/enhancedLegendRenderer
//= require jqplot/plugins/canvasOverlay
//- require jqplot/plugins/barRenderer




//- VENDOR INCLUDED
//= require_tree ../../../vendor/assets/javascripts
//= require jquery.sparkline.min.js
//= require jquery.jqpagination.js


//- INIT TURBOLINKS AND DOCUMENT_READY EVENT CHAINS
//= require app_init.js

//- APP INCLUDED 
//= require base64.js
//= require ckeditor/plugins/autogrow.js

//- MAIN APPLICATION SCRIPT (all here is carried out eventually, when app_apply is executed)
//= require app.js

//- APPLY TURBOLINKS AND DOCUMENT_READY EVENT CHAINS
//= require app_apply.js
