module Portfolio
  module Conditions
    class ManagementInvolvedMatcher < ItemMatcher

        def match?(portfolio_item)
          portfolio_item.portfolio_item_involved_teachers.each do |teacher|
            return true if teacher.management?
          end
          return false
        end

        def description
          'die Schulleitung muss beteiligt sein'
        end
      end
  end
end
