module Portfolio
  class TargetAgreementsPresentValidator < ItemValidator
      def match?(item)
        return true if item.target_agreements.reject(&:marked_for_destruction?).any? # target agreements are for all type of protfolio items
        return false
      end
  end
end
