
class PagerPanelFootControlWidget  < ActionWidget::Base
    property :id, required: true
    property :current_page, default: 1, converts: :to_s

    def render
      content_tag(:div, {class: %w(input-group pager pager-control), 'data-target': "##{id}"}, {}, false ) do
        content_tag(:div, {class: %w(input-group-btn)}, {}, false ) do
          content_tag(:a, class: "btn btn-warning", type: "button", 'data-action': "first") do
            content_tag(:i, nil, class: "glyphicon glyphicon-fast-backward")
          end +
          content_tag(:a, class: "btn btn-warning", type: "button", 'data-action': "previous") do
            content_tag(:i, nil, class: "glyphicon glyphicon-backward")
          end
        end +
        content_tag(:input, nil, class: "form-control text-center", type: 'text', 'data-current-page': current_page) +
        content_tag(:div, {class: %w(input-group-btn)}, {}, false ) do
          content_tag(:a, class: "btn btn-warning", type: "button", 'data-action': "next") do
            content_tag(:i, nil, class: "glyphicon glyphicon-forward")
          end +
          content_tag(:a, class: "btn btn-warning", type: "button", 'data-action': "last") do
            content_tag(:i, nil, class: "glyphicon glyphicon-fast-forward")
          end
        end
      end
    end

end



