# <%= pager_media_list_widget  id: 'library-suggestions-pager', items: @library_suggestions, per_slice: 1 do |item| %>
#    <li><%= item %></li>
# <% end %>

# <%= pager_control_widget  id: 'library-suggestions-pager', items: @library_suggestions, per_slice: 1 do |item| %>
#    <li><%= item %></li>
# <% end %>
class PagerPanelHeadControlWidget  < ActionWidget::Base
    property :id, required: true
    property :current_page, default: 1, converts: :to_s

    def render
      content_tag(:div, {class: %w(btn-group btn-group-sm pull-right pager-control), 'data-target': "##{id}"}, {}, false ) do
        content_tag(:a, class: "btn btn-warning", type: "button", 'data-action': "previous") do
          content_tag(:i, nil, class: "glyphicon glyphicon-backward")
        end +
        content_tag(:input, nil, class: "form-control text-center hidden", type: 'text', 'data-current-page': current_page) +
        content_tag(:a, class: "btn btn-warning", type: "button", 'data-action': "next") do
          content_tag(:i, nil, class: "glyphicon glyphicon-forward")
        end
      end
    end

end



