class CreateAdvancementPlans < ActiveRecord::Migration
  def change

    create_table :advancement_plans do |t|
      t.string :name
      t.string :abbreviation
      t.timestamps null: false
    end

    create_table :portfolio_item_advancement_plans do |t|
      t.belongs_to :portfolio_item
      t.belongs_to :advancement_plan
      t.text :content
      t.date :begin
      t.timestamps null: false
    end

  end
end
