class CreateInstitutionDocuments < ActiveRecord::Migration
  def change
    create_table :institution_documents do |t|
      t.references :institution, index: {name: 'idx_id_on_i_id'}, foreign_key: true, null: false
      t.string :file, null: false
      t.integer :author_id, null: false
      t.string :author_type, null: false
      t.text :description
      t.timestamps
    end
  end
end
