class Feature461 < ActiveRecord::Migration
  def change
    add_reference :clients, :expertise_manager, index: true
    add_foreign_key :clients, :managers, column: :expertise_manager_id, on_delete: :nullify

    add_reference :clients, :expertise_institution, index: true
    add_foreign_key :clients, :institutions, column: :expertise_institution_id, on_delete: :nullify

    add_reference :clients, :expertise_teacher, index: true
    add_foreign_key :clients, :teachers, column: :expertise_teacher_id, on_delete: :nullify

  end
end
